ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 957 by gezelter, Tue May 16 20:38:23 2006 UTC vs.
Revision 1141 by chuckv, Wed May 30 18:47:04 2007 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
886 <  --without-zlib to disable zlib usage completely
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888    --with-fftw=DIR         root directory path of fftw installation (defaults
889                            to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
890  --with-cgal-makefile=FILE  CGAL makefile that should be used
891  
892   Some influential environment variables:
893    CXX         C++ compiler command
# Line 1431 | Line 1431 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1431  
1432  
1433  
1434 +
1435   # AC_F90_MODULE_NAMES
1436   # -------------------
1437   #
# Line 1622 | Line 1623 | fi
1623  
1624    msg="$msg, debug mode"
1625   fi
1626 +
1627 +
1628 + # Check whether --enable-single or --disable-single was given.
1629 + if test "${enable_single+set}" = set; then
1630 +  enableval="$enable_single"
1631 +  ok=$enableval
1632 + else
1633 +  ok=no
1634 + fi;
1635 + # Check whether --enable-float or --disable-float was given.
1636 + if test "${enable_float+set}" = set; then
1637 +  enableval="$enable_float"
1638 +  ok=$enableval
1639 + fi;
1640 + if test "$ok" = "yes"; then
1641  
1642 + cat >>confdefs.h <<\_ACEOF
1643 + #define SINGLE_PRECISION 1
1644 + _ACEOF
1645  
1646 +        USE_SINGLE_PRECISION=yes
1647 +
1648 + fi
1649 +
1650   # Checks for programs.
1651   ac_ext=cc
1652   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 1631 | Line 1654 | if test -n "$ac_tool_prefix"; then
1654   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1655   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
1656   if test -n "$ac_tool_prefix"; then
1657 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1657 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1658    do
1659      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1660   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 1673 | Line 1696 | if test -z "$CXX"; then
1696   fi
1697   if test -z "$CXX"; then
1698    ac_ct_CXX=$CXX
1699 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1699 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1700   do
1701    # Extract the first word of "$ac_prog", so it can be a program name with args.
1702   set dummy $ac_prog; ac_word=$2
# Line 2187 | Line 2210 | if test -n "$ac_tool_prefix"; then
2210   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2211   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2212   if test -n "$ac_tool_prefix"; then
2213 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2213 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2214    do
2215      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2216   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2229 | Line 2252 | if test -z "$CC"; then
2252   fi
2253   if test -z "$CC"; then
2254    ac_ct_CC=$CC
2255 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2255 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2256   do
2257    # Extract the first word of "$ac_prog", so it can be a program name with args.
2258   set dummy $ac_prog; ac_word=$2
# Line 2698 | Line 2721 | if test -n "$ac_tool_prefix"; then
2721   ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
2722   ac_compiler_gnu=$ac_cv_fc_compiler_gnu
2723   if test -n "$ac_tool_prefix"; then
2724 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2724 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2725    do
2726      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2727   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2740 | Line 2763 | if test -z "$FC"; then
2763   fi
2764   if test -z "$FC"; then
2765    ac_ct_FC=$FC
2766 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2766 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2767   do
2768    # Extract the first word of "$ac_prog", so it can be a program name with args.
2769   set dummy $ac_prog; ac_word=$2
# Line 2785 | Line 2808 | fi
2808  
2809  
2810   # Provide some information about the compiler.
2811 < echo "$as_me:2788:" \
2811 > echo "$as_me:2811:" \
2812       "checking for Fortran compiler version" >&5
2813   ac_compiler=`set X $ac_compile; echo $2`
2814   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 4033 | Line 4056 | FCFLAGS="$FCFLAGS $ac_verb"
4056   # flags.
4057   ac_save_FFLAGS=$FCFLAGS
4058   FCFLAGS="$FCFLAGS $ac_verb"
4059 < (eval echo $as_me:4036: \"$ac_link\") >&5
4059 > (eval echo $as_me:4059: \"$ac_link\") >&5
4060   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4061   echo "$ac_fc_v_output" >&5
4062   FCFLAGS=$ac_save_FFLAGS
# Line 4111 | Line 4134 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4134   # flags.
4135   ac_save_FFLAGS=$FCFLAGS
4136   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4137 < (eval echo $as_me:4114: \"$ac_link\") >&5
4137 > (eval echo $as_me:4137: \"$ac_link\") >&5
4138   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4139   echo "$ac_fc_v_output" >&5
4140   FCFLAGS=$ac_save_FFLAGS
# Line 4847 | Line 4870 | FCFLAGS="$FCFLAGS $ac_verb"
4870   # flags.
4871   ac_save_FFLAGS=$FCFLAGS
4872   FCFLAGS="$FCFLAGS $ac_verb"
4873 < (eval echo $as_me:4850: \"$ac_link\") >&5
4873 > (eval echo $as_me:4873: \"$ac_link\") >&5
4874   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4875   echo "$ac_fc_v_output" >&5
4876   FCFLAGS=$ac_save_FFLAGS
# Line 4925 | Line 4948 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4948   # flags.
4949   ac_save_FFLAGS=$FCFLAGS
4950   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4951 < (eval echo $as_me:4928: \"$ac_link\") >&5
4951 > (eval echo $as_me:4951: \"$ac_link\") >&5
4952   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4953   echo "$ac_fc_v_output" >&5
4954   FCFLAGS=$ac_save_FFLAGS
# Line 5802 | Line 5825 | done
5825   #
5826   # Handle user hints
5827   #
5805 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5806 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5828  
5829   # Check whether --with-zlib or --without-zlib was given.
5830   if test "${with_zlib+set}" = set; then
5831    withval="$with_zlib"
5832 <  if test "$withval" != no ; then
5833 <  echo "$as_me:$LINENO: result: yes" >&5
5834 < echo "${ECHO_T}yes" >&6
5835 <  if test -d "$withval"
5832 >  zlib_dir="$withval"
5833 > else
5834 >                zlib_dir="not_set"
5835 > fi;
5836 > if test "$zlib_dir" != "no"; then
5837 >
5838 > if test "$zlib_dir" != "not_set" ; then
5839 >  if test -d "$zlib_dir"
5840    then
5841 <    ZLIB_HOME="$withval"
5841 >    ZLIB_HOME="$zlib_dir"
5842    else
5843 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5844 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5843 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5844 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5845    fi
5821 else
5822  echo "$as_me:$LINENO: result: no" >&5
5823 echo "${ECHO_T}no" >&6
5846   fi
5825 fi;
5847  
5848   ZLIB_HOME=/usr/local
5849   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6075 | Line 6096 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6096   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6097   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6098  
6078        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6079        then
6080                #
6081                # If both library and header were found, use them
6082                #
6099  
6100 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6101 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6102 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6103 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6088 < else
6089 <  ac_check_lib_save_LIBS=$LIBS
6090 < LIBS="-lz  $LIBS"
6091 < cat >conftest.$ac_ext <<_ACEOF
6092 < /* confdefs.h.  */
6100 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6101 >
6102 > cat >>confdefs.h <<\_ACEOF
6103 > #define HAVE_ZLIB_H 1
6104   _ACEOF
6094 cat confdefs.h >>conftest.$ac_ext
6095 cat >>conftest.$ac_ext <<_ACEOF
6096 /* end confdefs.h.  */
6105  
6098 /* Override any gcc2 internal prototype to avoid an error.  */
6099 #ifdef __cplusplus
6100 extern "C"
6101 #endif
6102 /* We use char because int might match the return type of a gcc2
6103   builtin and then its argument prototype would still apply.  */
6104 char inflateEnd ();
6105 #ifdef FC_DUMMY_MAIN
6106 #ifndef FC_DUMMY_MAIN_EQ_F77
6107 #  ifdef __cplusplus
6108     extern "C"
6109 #  endif
6110   int FC_DUMMY_MAIN() { return 1; }
6111 #endif
6112 #endif
6113 int
6114 main ()
6115 {
6116 inflateEnd ();
6117  ;
6118  return 0;
6119 }
6120 _ACEOF
6121 rm -f conftest.$ac_objext conftest$ac_exeext
6122 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6123  (eval $ac_link) 2>conftest.er1
6124  ac_status=$?
6125  grep -v '^ *+' conftest.er1 >conftest.err
6126  rm -f conftest.er1
6127  cat conftest.err >&5
6128  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6129  (exit $ac_status); } &&
6130         { ac_try='test -z "$ac_c_werror_flag"
6131                         || test ! -s conftest.err'
6132  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6133  (eval $ac_try) 2>&5
6134  ac_status=$?
6135  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6136  (exit $ac_status); }; } &&
6137         { ac_try='test -s conftest$ac_exeext'
6138  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6139  (eval $ac_try) 2>&5
6140  ac_status=$?
6141  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6142  (exit $ac_status); }; }; then
6143  ac_cv_lib_z_inflateEnd=yes
6144 else
6145  echo "$as_me: failed program was:" >&5
6146 sed 's/^/| /' conftest.$ac_ext >&5
6106  
6107 < ac_cv_lib_z_inflateEnd=no
6149 < fi
6150 < rm -f conftest.err conftest.$ac_objext \
6151 <      conftest$ac_exeext conftest.$ac_ext
6152 < LIBS=$ac_check_lib_save_LIBS
6153 < fi
6154 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6155 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6156 < if test $ac_cv_lib_z_inflateEnd = yes; then
6157 <  cat >>confdefs.h <<_ACEOF
6107 > cat >>confdefs.h <<\_ACEOF
6108   #define HAVE_LIBZ 1
6109   _ACEOF
6110  
6111 <  LIBS="-lz $LIBS"
6112 <
6113 < fi
6164 <
6165 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6166 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6167 <                echo "$as_me:$LINENO: result: ok" >&5
6168 < echo "${ECHO_T}ok" >&6
6111 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6112 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6113 >                ZLIB="-lz"
6114          else
6170                #
6171                # If either header or library was not found, revert and bomb
6172                #
6115                  echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6116   echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6117 +                ZLIB_INC_DIR=
6118 +                ZLIB_LIB_DIR=
6119 +                ZLIB=
6120                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6121                  CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6122                  echo "$as_me:$LINENO: result: failed" >&5
6123   echo "${ECHO_T}failed" >&6
6124 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6125 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6126 <   { (exit 1); exit 1; }; }
6124 >                echo ""
6125 >                echo "*********************************************************"
6126 >                echo "* WARNING: Could not find a working zlib installation   *"
6127 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6128 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6129 >                echo "* installation with --with-zlib=DIR                     *"
6130 >                echo "*                                                       *"
6131 >                echo "* OOPSE will still work without zlib installed.         *"
6132 >                echo "*********************************************************"
6133 >                echo ""
6134          fi
6183 fi
6135  
6136  
6137 +
6138 + fi
6139 + fi
6140 +
6141   #
6142   # Handle user hints
6143   #
# Line 6192 | Line 6147 | else
6147    withval="$with_fftw"
6148    fftw_dir="$withval"
6149   else
6150 <                fftw_dir="not_set"
6150 >             fftw_dir="not_set"
6151   fi;
6152   if test "$fftw_dir" != "no"; then
6153 <
6154 < if test "$fftw_dir" != "not_set" ; then
6155 <  if test -d "$fftw_dir"
6156 <  then
6157 <    FFTW_HOME="$fftw_dir"
6203 <  else
6204 <    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6153 >  if test "$fftw_dir" != "not_set" ; then
6154 >    if test -d "$fftw_dir"; then
6155 >      FFTW_HOME="$fftw_dir"
6156 >    else
6157 >      { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6158   echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6159 <  fi
6160 < fi
6208 <
6209 < FFTW_HOME=/usr/local
6210 < if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6211 < then
6159 >      FFTW_HOME=/usr/local
6160 >      if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"; then
6161          FFTW_HOME=/usr
6162 < fi
6163 <
6164 < #
6165 < # Locate fftw, if wanted
6166 < #
6167 < if test -n "${FFTW_HOME}"
6168 < then
6169 <        FFTW_OLD_LDFLAGS=$LDFLAGS
6170 <        FFTW_OLD_CPPFLAGS=$LDFLAGS
6171 <        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6223 <        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6162 >      fi
6163 >    fi
6164 >    #
6165 >    # Locate fftw, if wanted
6166 >    #
6167 >    if test -n "${FFTW_HOME}"; then
6168 >      FFTW_OLD_LDFLAGS=$LDFLAGS
6169 >      FFTW_OLD_CPPFLAGS=$LDFLAGS
6170 >      LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6171 >      CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6172  
6173  
6174 <        ac_ext=c
6174 >      ac_ext=c
6175   ac_cpp='$CPP $CPPFLAGS'
6176   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6177   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6178   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6179  
6180 <        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6180 >      echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6181   echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6182   if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6183    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6307 | Line 6255 | fi
6255    fftw_cv_libfftw3=no
6256   fi
6257  
6258 <        if test "${ac_cv_header_fftw3_h+set}" = set; then
6258 >      if test "${ac_cv_header_fftw3_h+set}" = set; then
6259    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6260   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6261   if test "${ac_cv_header_fftw3_h+set}" = set; then
# Line 6451 | Line 6399 | fi
6399   fi
6400  
6401  
6402 <        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6403 <        then
6456 <                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6402 >      if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"; then
6403 >        echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6404   echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6405   if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6406    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6531 | Line 6478 | fi
6478    fftw_cv_libfftw=no
6479   fi
6480  
6481 <                if test "${ac_cv_header_fftw_h+set}" = set; then
6481 >        if test "${ac_cv_header_fftw_h+set}" = set; then
6482    echo "$as_me:$LINENO: checking for fftw.h" >&5
6483   echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6484   if test "${ac_cv_header_fftw_h+set}" = set; then
# Line 6675 | Line 6622 | fi
6622   fi
6623  
6624  
6625 <                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6626 <                then
6680 <                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6625 >        if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"; then
6626 >          echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6627   echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6628   if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6629    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6755 | Line 6701 | fi
6701    fftw_cv_libdfftw=no
6702   fi
6703  
6704 <                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6704 >          if test "${ac_cv_header_dfftw_h+set}" = set; then
6705    echo "$as_me:$LINENO: checking for dfftw.h" >&5
6706   echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6707   if test "${ac_cv_header_dfftw_h+set}" = set; then
# Line 6899 | Line 6845 | fi
6845   fi
6846  
6847  
6902                fi
6848          fi
6849 <        ac_ext=c
6849 >      fi
6850 >      ac_ext=c
6851   ac_cpp='$CPP $CPPFLAGS'
6852   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6853   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6854   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6855  
6856 +      if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"; then
6857  
6911        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6912        then
6913
6858   cat >>confdefs.h <<\_ACEOF
6859   #define HAVE_FFTW3_H 1
6860   _ACEOF
6861  
6862 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6863 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6864 <                FFTW_LIBS="-lfftw3"
6865 <        else
6866 <        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6923 <        then
6862 >        FFTW_INC_DIR="${FFTW_HOME}/include"
6863 >        FFTW_LIB_DIR="${FFTW_HOME}/lib"
6864 >        FFTW_LIBS="-lfftw3"
6865 >      else
6866 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"; then
6867  
6868   cat >>confdefs.h <<\_ACEOF
6869   #define HAVE_FFTW_H 1
6870   _ACEOF
6871  
6872 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6873 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6874 <                FFTW_LIBS="-lfftw"
6872 >          FFTW_INC_DIR="${FFTW_HOME}/include"
6873 >          FFTW_LIB_DIR="${FFTW_HOME}/lib"
6874 >          FFTW_LIBS="-lfftw"
6875          else
6876 <        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6934 <        then
6876 >          if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"; then
6877  
6878   cat >>confdefs.h <<\_ACEOF
6879   #define HAVE_DFFTW_H 1
6880   _ACEOF
6881  
6882 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6883 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6884 <                FFTW_LIBS="-ldfftw"
6885 <        else
6886 <                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6882 >            FFTW_INC_DIR="${FFTW_HOME}/include"
6883 >            FFTW_LIB_DIR="${FFTW_HOME}/lib"
6884 >            FFTW_LIBS="-ldfftw"
6885 >          else
6886 >            echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6887   echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6888 <                FFTW_INC_DIR=
6889 <                FFTW_LIB_DIR=
6890 <                FFTW_LIBS=
6891 <                LDFLAGS="$FFTW_OLD_LDFLAGS"
6892 <                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6893 <                echo "$as_me:$LINENO: result: failed" >&5
6888 >            FFTW_INC_DIR=
6889 >            FFTW_LIB_DIR=
6890 >            FFTW_LIBS=
6891 >            LDFLAGS="$FFTW_OLD_LDFLAGS"
6892 >            CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6893 >            echo "$as_me:$LINENO: result: failed" >&5
6894   echo "${ECHO_T}failed" >&6
6895 <        echo ""
6896 <        echo "*********************************************************"
6897 <        echo "* WARNING: Could not find a working FFTW installation   *"
6898 <        echo "* If you need the staticProps program to be able to     *"
6899 <        echo "* compute undulation spectra, be sure to specify a      *"
6900 <        echo "* valid fftw installation with --with-fftw=DIR          *"
6901 <        echo "*                                                       *"
6902 <        echo "* OOPSE will still work without fftw installed.         *"
6903 <        echo "*********************************************************"
6904 <        echo ""
6905 <        fi
6964 <        fi
6895 >            echo ""
6896 >            echo "*********************************************************"
6897 >            echo "* WARNING: Could not find a working FFTW installation   *"
6898 >            echo "* If you need the staticProps program to be able to     *"
6899 >            echo "* compute undulation spectra, be sure to specify a      *"
6900 >            echo "* valid fftw installation with --with-fftw=DIR          *"
6901 >            echo "*                                                       *"
6902 >            echo "* OOPSE will still work without fftw installed.         *"
6903 >            echo "*********************************************************"
6904 >            echo ""
6905 >          fi
6906          fi
6907 +      fi
6908  
6909  
6910  
6911 < fi
6911 >    fi
6912 >  fi
6913   fi
6914  
6915  
# Line 11985 | Line 11928 | if test "$ac_test_FFLAGS" != "set"; then
11928    case "${host_cpu}-${host_os}" in
11929  
11930    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
11931 <                    FCFLAGS="-O3 -ip -no-prec-div -cxxlib-icc"
11931 >                    FCFLAGS="-O3 -ip -no-prec-div"
11932                  fi;;
11933     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
11934                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 13042 | Line 12985 | MPI_INC_DIR="$MPI/include"
12985   MPI_INC_DIR="$MPI/include"
12986  
12987  
12988 +
12989 + ac_ext=c
12990 + ac_cpp='$CPP $CPPFLAGS'
12991 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
12992 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
12993 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
12994  
12995   echo "$as_me:$LINENO: checking for mpi.h" >&5
12996   echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
12997   have_mpi_h=0
12998   rm -f conftest*
12999 < echo '#include <mpi.h>' > conftest.cc
13000 < if ${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1 ; then
12999 > echo '#include <mpi.h>' > conftest.c
13000 > if ${CC} -I${MPI_INC_DIR} -c conftest.c 2>&1 ; then
13001          echo "$as_me:$LINENO: result: yes" >&5
13002   echo "${ECHO_T}yes" >&6
13003          have_mpi_h=1
# Line 13071 | Line 13020 | echo $ECHO_N "checking whether mpif.h is usable... $EC
13020  
13021   echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
13022   echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
13023 +
13024 +
13025 + ac_ext=${FC_SRCEXT-f}
13026 + ac_compile='$FC -c $FCFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext >&5'
13027 + ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
13028 + ac_compiler_gnu=$ac_cv_fc_compiler_gnu
13029 +
13030 + ac_save_ext=$ac_ext
13031 + ac_ext=F90
13032 + ac_save_FCFLAGS=$FCFLAGS
13033   have_mpif_h=0
13034   rm -f conftest*
13035   cat >conftest.$ac_ext <<EOF
# Line 13100 | Line 13059 | fi
13059   _ACEOF
13060  
13061   fi
13062 + FCFLAGS=$ac_save_FCFLAGS
13063 + ac_ext=$ac_save_ext
13064 + ac_ext=c
13065 + ac_cpp='$CPP $CPPFLAGS'
13066 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13067 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13068 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
13069 +
13070  
13071   ac_ext=c
13072   ac_cpp='$CPP $CPPFLAGS'
# Line 13108 | Line 13075 | ac_save_LDFLAGS=$LDFLAGS
13075   ac_compiler_gnu=$ac_cv_c_compiler_gnu
13076  
13077   ac_save_LDFLAGS=$LDFLAGS
13078 < LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13078 > LDFLAGS="-L${MPI_LIB_DIR} ${LDFLAGS} "
13079  
13080   if test x = x"$MPI_LIB"; then
13081          echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
# Line 13188 | Line 13155 | fi
13155   fi
13156  
13157   fi
13158 + $as_unset ac_cv_lib_mpich_MPI_Init
13159   if test x = x"$MPI_LIB"; then
13160 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13161 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13162 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13160 >        echo "$as_me:$LINENO: checking for MPI_Init in -lpmpich" >&5
13161 > echo $ECHO_N "checking for MPI_Init in -lpmpich... $ECHO_C" >&6
13162 > if test "${ac_cv_lib_pmpich_MPI_Init+set}" = set; then
13163    echo $ECHO_N "(cached) $ECHO_C" >&6
13164   else
13165    ac_check_lib_save_LIBS=$LIBS
13166 < LIBS="-lmpi  $LIBS"
13166 > LIBS="-lpmpich -lmpich -lpmpich -lmpich $LIBS"
13167   cat >conftest.$ac_ext <<_ACEOF
13168   /* confdefs.h.  */
13169   _ACEOF
# Line 13248 | Line 13216 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13216    ac_status=$?
13217    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13218    (exit $ac_status); }; }; then
13219 <  ac_cv_lib_mpi_MPI_Init=yes
13219 >  ac_cv_lib_pmpich_MPI_Init=yes
13220   else
13221    echo "$as_me: failed program was:" >&5
13222   sed 's/^/| /' conftest.$ac_ext >&5
13223  
13224 < ac_cv_lib_mpi_MPI_Init=no
13224 > ac_cv_lib_pmpich_MPI_Init=no
13225   fi
13226   rm -f conftest.err conftest.$ac_objext \
13227        conftest$ac_exeext conftest.$ac_ext
13228   LIBS=$ac_check_lib_save_LIBS
13229   fi
13230 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13231 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13232 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
13233 <  MPI_LIB="-lmpi"
13230 > echo "$as_me:$LINENO: result: $ac_cv_lib_pmpich_MPI_Init" >&5
13231 > echo "${ECHO_T}$ac_cv_lib_pmpich_MPI_Init" >&6
13232 > if test $ac_cv_lib_pmpich_MPI_Init = yes; then
13233 >  MPI_LIB="-lpmpich -lmpich -lpmpich -lmpich"
13234   fi
13235  
13236   fi
13269 $as_unset ac_cv_lib_mpi_MPI_Init
13237   if test x = x"$MPI_LIB"; then
13238          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13239   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
# Line 13274 | Line 13241 | else
13241    echo $ECHO_N "(cached) $ECHO_C" >&6
13242   else
13243    ac_check_lib_save_LIBS=$LIBS
13244 < LIBS="-lmpi "-llam" $LIBS"
13244 > LIBS="-lmpi  $LIBS"
13245   cat >conftest.$ac_ext <<_ACEOF
13246   /* confdefs.h.  */
13247   _ACEOF
# Line 13341 | Line 13308 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
13308   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13309   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13310   if test $ac_cv_lib_mpi_MPI_Init = yes; then
13311 <  MPI_LIB="-lmpi -llam"
13311 >  MPI_LIB="-lmpi"
13312   fi
13313  
13314   fi
13315 < $as_unset ac_cv_lib_mpich_MPI_Init
13315 > $as_unset ac_cv_lib_mpi_MPI_Init
13316   if test x = x"$MPI_LIB"; then
13317 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
13318 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
13319 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
13317 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13318 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13319 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13320    echo $ECHO_N "(cached) $ECHO_C" >&6
13321   else
13322    ac_check_lib_save_LIBS=$LIBS
13323 < LIBS="-lmpich "-lpmpich" $LIBS"
13323 > LIBS="-lmpi -llam $LIBS"
13324   cat >conftest.$ac_ext <<_ACEOF
13325   /* confdefs.h.  */
13326   _ACEOF
# Line 13406 | Line 13373 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13373    ac_status=$?
13374    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13375    (exit $ac_status); }; }; then
13376 <  ac_cv_lib_mpich_MPI_Init=yes
13376 >  ac_cv_lib_mpi_MPI_Init=yes
13377   else
13378    echo "$as_me: failed program was:" >&5
13379   sed 's/^/| /' conftest.$ac_ext >&5
13380  
13381 < ac_cv_lib_mpich_MPI_Init=no
13381 > ac_cv_lib_mpi_MPI_Init=no
13382   fi
13383   rm -f conftest.err conftest.$ac_objext \
13384        conftest$ac_exeext conftest.$ac_ext
13385   LIBS=$ac_check_lib_save_LIBS
13386   fi
13387 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13388 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13389 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
13390 <  MPI_LIB="-lpmpich -lmpich"
13387 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13388 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13389 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
13390 >  MPI_LIB="-lmpi -llam"
13391   fi
13392  
13393   fi
13427
13394   $as_unset ac_cv_lib_mpi_MPI_Init
13395   if test x = x"$MPI_LIB"; then
13396   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 13526 | Line 13492 | echo "${ECHO_T}found $MPI_F90_LIB" >&6
13492   fi
13493   echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
13494   echo "${ECHO_T}found $MPI_F90_LIB" >&6
13529
13530
13531 fi
13532
13533
13534
13535 USE_CGAL=no
13536 cgal_makefile=auto
13537
13538 # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
13539 if test "${with_cgal_makefile+set}" = set; then
13540  withval="$with_cgal_makefile"
13541  cgal_makefile="$withval"
13542 fi;
13543
13544 if test "x$cgal_makefile" != xno; then
13545
13546  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
13547    cgal_makefile="$CGAL_MAKEFILE"
13548  fi
13549
13550  echo "$as_me:$LINENO: checking for cgal_makefile: $cgal_makefile" >&5
13551 echo $ECHO_N "checking for cgal_makefile: $cgal_makefile... $ECHO_C" >&6
13552
13553  if test -f "$cgal_makefile"; then
13554
13555    cat >config.tmp.Makefile <<EOF
13556 include $cgal_makefile
13557 default:
13558        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
13559        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
13560        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
13561        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
13562        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
13563        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
13564        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
13565        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
13566        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
13567        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
13568        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
13569        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
13570 EOF
13495  
13572    make -s -f config.tmp.Makefile
13573    . config.tmp.cgalvariables
13496  
13575    rm -f config.tmp.Makefile config.tmp.cgalvariables
13576
13577    if test "x$CGAL_INCLDIR" = "x"; then
13578      CGAL_INCLDIR=""
13579    fi
13580
13581    if test "x$CGAL_LIBDIR" = "x"; then
13582      CGAL_LIBDIR=""
13583    fi
13584
13585    if test "x$CGAL_RLIBDIR" = "x"; then
13586      CGAL_RLIBDIR=""
13587    fi
13588
13589    if test "x$LEDA_INCLDIR" = "x"; then
13590      LEDA_INCLDIR=""
13591    fi
13592
13593    if test "x$LEDA_LIBDIR" = "x"; then
13594      LEDA_LIBDIR=""
13595    fi
13596
13597    if test "x$LEDA_RLIBDIR" = "x"; then
13598      LEDA_RLIBDIR=""
13599    fi
13600
13601    if test "x$GMP_INCLDIR" = "x"; then
13602      GMP_INCLDIR=""
13603    fi
13604
13605    if test "x$GMP_LIBDIR" = "x"; then
13606      GMP_LIBDIR=""
13607    fi
13608
13609    if test "x$GMP_RLIBDIR" = "x"; then
13610      GMP_RLIBDIR=""
13611    fi
13612
13613    echo "$as_me:$LINENO: result: CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&5
13614 echo "${ECHO_T}CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&6
13615    echo "$as_me:$LINENO: result: CGAL_INCLDIR=       $CGAL_INCLDIR" >&5
13616 echo "${ECHO_T}CGAL_INCLDIR=       $CGAL_INCLDIR" >&6
13617    echo "$as_me:$LINENO: result: CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&5
13618 echo "${ECHO_T}CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&6
13619    echo "$as_me:$LINENO: result: CGAL_LIBDIR=        $CGAL_LIBDIR" >&5
13620 echo "${ECHO_T}CGAL_LIBDIR=        $CGAL_LIBDIR" >&6
13621    echo "$as_me:$LINENO: result: CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&5
13622 echo "${ECHO_T}CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&6
13623    echo "$as_me:$LINENO: result: LEDA_INCLDIR=       $LEDA_INCLDIR" >&5
13624 echo "${ECHO_T}LEDA_INCLDIR=       $LEDA_INCLDIR" >&6
13625    echo "$as_me:$LINENO: result: LEDA_LIBDIR=        $LEDA_LIBDIR" >&5
13626 echo "${ECHO_T}LEDA_LIBDIR=        $LEDA_LIBDIR" >&6
13627    echo "$as_me:$LINENO: result: GMP_INCLDIR=        $GMP_INCLDIR" >&5
13628 echo "${ECHO_T}GMP_INCLDIR=        $GMP_INCLDIR" >&6
13629    echo "$as_me:$LINENO: result: GMP_LIBDIR=         $GMP_LIBDIR" >&5
13630 echo "${ECHO_T}GMP_LIBDIR=         $GMP_LIBDIR" >&6
13631
13632    ac_ext=cc
13633 ac_cpp='$CXXCPP $CPPFLAGS'
13634 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13635 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13636 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
13637
13638    save_CXXFLAGS="$CXXFLAGS"
13639    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
13640    if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13641  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
13642 echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
13643 if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13644  echo $ECHO_N "(cached) $ECHO_C" >&6
13497   fi
13646 echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
13647 echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
13648 else
13649  # Is the header compilable?
13650 echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
13651 echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
13652 cat >conftest.$ac_ext <<_ACEOF
13653 /* confdefs.h.  */
13654 _ACEOF
13655 cat confdefs.h >>conftest.$ac_ext
13656 cat >>conftest.$ac_ext <<_ACEOF
13657 /* end confdefs.h.  */
13658 $ac_includes_default
13659 #include <CGAL/Cartesian.h>
13660 _ACEOF
13661 rm -f conftest.$ac_objext
13662 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13663  (eval $ac_compile) 2>conftest.er1
13664  ac_status=$?
13665  grep -v '^ *+' conftest.er1 >conftest.err
13666  rm -f conftest.er1
13667  cat conftest.err >&5
13668  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13669  (exit $ac_status); } &&
13670         { ac_try='test -z "$ac_cxx_werror_flag"
13671                         || test ! -s conftest.err'
13672  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13673  (eval $ac_try) 2>&5
13674  ac_status=$?
13675  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13676  (exit $ac_status); }; } &&
13677         { ac_try='test -s conftest.$ac_objext'
13678  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13679  (eval $ac_try) 2>&5
13680  ac_status=$?
13681  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13682  (exit $ac_status); }; }; then
13683  ac_header_compiler=yes
13684 else
13685  echo "$as_me: failed program was:" >&5
13686 sed 's/^/| /' conftest.$ac_ext >&5
13498  
13688 ac_header_compiler=no
13689 fi
13690 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13691 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
13692 echo "${ECHO_T}$ac_header_compiler" >&6
13499  
13694 # Is the header present?
13695 echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
13696 echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
13697 cat >conftest.$ac_ext <<_ACEOF
13698 /* confdefs.h.  */
13699 _ACEOF
13700 cat confdefs.h >>conftest.$ac_ext
13701 cat >>conftest.$ac_ext <<_ACEOF
13702 /* end confdefs.h.  */
13703 #include <CGAL/Cartesian.h>
13704 _ACEOF
13705 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
13706  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
13707  ac_status=$?
13708  grep -v '^ *+' conftest.er1 >conftest.err
13709  rm -f conftest.er1
13710  cat conftest.err >&5
13711  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13712  (exit $ac_status); } >/dev/null; then
13713  if test -s conftest.err; then
13714    ac_cpp_err=$ac_cxx_preproc_warn_flag
13715    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
13716  else
13717    ac_cpp_err=
13718  fi
13719 else
13720  ac_cpp_err=yes
13721 fi
13722 if test -z "$ac_cpp_err"; then
13723  ac_header_preproc=yes
13724 else
13725  echo "$as_me: failed program was:" >&5
13726 sed 's/^/| /' conftest.$ac_ext >&5
13500  
13728  ac_header_preproc=no
13729 fi
13730 rm -f conftest.err conftest.$ac_ext
13731 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
13732 echo "${ECHO_T}$ac_header_preproc" >&6
13501  
13734 # So?  What about this header?
13735 case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
13736  yes:no: )
13737    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
13738 echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
13739    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
13740 echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
13741    ac_header_preproc=yes
13742    ;;
13743  no:yes:* )
13744    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
13745 echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
13746    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
13747 echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
13748    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
13749 echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
13750    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
13751 echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
13752    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
13753 echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
13754    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
13755 echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
13756    (
13757      cat <<\_ASBOX
13758 ## ------------------------------ ##
13759 ## Report this to gezelter@nd.edu ##
13760 ## ------------------------------ ##
13761 _ASBOX
13762    ) |
13763      sed "s/^/$as_me: WARNING:     /" >&2
13764    ;;
13765 esac
13766 echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
13767 echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
13768 if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13769  echo $ECHO_N "(cached) $ECHO_C" >&6
13770 else
13771  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
13772 fi
13773 echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
13774 echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
13775
13776 fi
13777 if test $ac_cv_header_CGAL_Cartesian_h = yes; then
13778  cgal=yes
13779 else
13780  cgal=no
13781 fi
13782
13783
13784    CXXFLAGS="$save_CXXFLAGS"
13785
13786    if test "x$cgal" = xyes; then
13787      echo "$as_me:$LINENO: checking for CGAL version" >&5
13788 echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
13789      LOCATION=${CGAL_INCLDIR}
13790      LOCATION=${LOCATION:-/usr/include}
13791      if test -f $LOCATION/CGAL/version.h; then
13792        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
13793      else
13794        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
13795      fi
13796      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
13797        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
13798 echo "${ECHO_T}($CGAL_VERSION) yes" >&6
13799      else
13800        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
13801 echo "${ECHO_T}($CGAL_VERSION) no" >&6
13802        cgal=no
13803      fi
13804    fi
13805
13806    if test "x$cgal" = xyes; then
13807      CGAL_LIBS="-lCGAL"
13808      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
13809 echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
13810      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
13811        CGAL_USES_LEDA=yes
13812        echo "$as_me:$LINENO: result: yes" >&5
13813 echo "${ECHO_T}yes" >&6
13814        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
13815      else
13816        echo "$as_me:$LINENO: result: no" >&5
13817 echo "${ECHO_T}no" >&6
13818        CGAL_USES_LEDA=no
13819      fi
13820
13821      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
13822 echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
13823      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
13824        CGAL_USES_GMP=yes
13825        echo "$as_me:$LINENO: result: yes" >&5
13826 echo "${ECHO_T}yes" >&6
13827        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
13828      else
13829        echo "$as_me:$LINENO: result: no" >&5
13830 echo "${ECHO_T}no" >&6
13831        CGAL_USES_GMP=no
13832      fi
13833
13834      CGAL_LIBS="$CGAL_LIBS -lm"
13835
13836      CGAL_CXXFLAGS="-ftemplate-depth-50"
13837
13838      echo "$as_me:$LINENO: result: CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&5
13839 echo "${ECHO_T}CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&6
13840      echo "$as_me:$LINENO: result: CGAL_USES_GMP =     $CGAL_USES_GMP" >&5
13841 echo "${ECHO_T}CGAL_USES_GMP =     $CGAL_USES_GMP" >&6
13842      echo "$as_me:$LINENO: result: CGAL_INCLDIR  =     $CGAL_INCLDIR" >&5
13843 echo "${ECHO_T}CGAL_INCLDIR  =     $CGAL_INCLDIR" >&6
13844      echo "$as_me:$LINENO: result: CGAL_LIBDIR   =     $CGAL_LIBDIR" >&5
13845 echo "${ECHO_T}CGAL_LIBDIR   =     $CGAL_LIBDIR" >&6
13846      echo "$as_me:$LINENO: result: CGAL_DEFINES  =     $CGAL_DEFINES" >&5
13847 echo "${ECHO_T}CGAL_DEFINES  =     $CGAL_DEFINES" >&6
13848      echo "$as_me:$LINENO: result: CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&5
13849 echo "${ECHO_T}CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&6
13850      echo "$as_me:$LINENO: result: CGAL_LIBS     =     $CGAL_LIBS" >&5
13851 echo "${ECHO_T}CGAL_LIBS     =     $CGAL_LIBS" >&6
13852    fi
13853
13854    if test "x$cgal" = xyes; then
13855      save_LIBS="$LIBS"
13856      LIBS="$LIBS -L$CGAL_LIBDIR"
13857      if test "x$CGAL_USES_LEDA" = xyes; then
13858        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
13859      fi
13860      # if test "x$CGAL_USES_GMP" = xyes; then
13861      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
13862      # fi
13863      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
13864 echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
13865 save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
13866 CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
13867 save_LIBS_CHECK_CXX_LIB="$LIBS"
13868 LIBS="-lCGAL  $LIBS"
13869 cat >conftest.$ac_ext <<_ACEOF
13870 /* confdefs.h.  */
13871 _ACEOF
13872 cat confdefs.h >>conftest.$ac_ext
13873 cat >>conftest.$ac_ext <<_ACEOF
13874 /* end confdefs.h.  */
13875 #include <CGAL/Cartesian.h>
13876 #ifdef FC_DUMMY_MAIN
13877 #ifndef FC_DUMMY_MAIN_EQ_F77
13878 #  ifdef __cplusplus
13879     extern "C"
13880 #  endif
13881   int FC_DUMMY_MAIN() { return 1; }
13882 #endif
13883 #endif
13884 int
13885 main ()
13886 {
13887 ::CGAL::Cartesian<int>::Point_2 P
13888  ;
13889  return 0;
13890 }
13891 _ACEOF
13892 rm -f conftest.$ac_objext conftest$ac_exeext
13893 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13894  (eval $ac_link) 2>conftest.er1
13895  ac_status=$?
13896  grep -v '^ *+' conftest.er1 >conftest.err
13897  rm -f conftest.er1
13898  cat conftest.err >&5
13899  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13900  (exit $ac_status); } &&
13901         { ac_try='test -z "$ac_cxx_werror_flag"
13902                         || test ! -s conftest.err'
13903  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13904  (eval $ac_try) 2>&5
13905  ac_status=$?
13906  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13907  (exit $ac_status); }; } &&
13908         { ac_try='test -s conftest$ac_exeext'
13909  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13910  (eval $ac_try) 2>&5
13911  ac_status=$?
13912  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13913  (exit $ac_status); }; }; then
13914  echo "$as_me:$LINENO: result: yes" >&5
13915 echo "${ECHO_T}yes" >&6
13916 cgal=yes
13917 else
13918  echo "$as_me: failed program was:" >&5
13919 sed 's/^/| /' conftest.$ac_ext >&5
13920
13921 echo "$as_me:$LINENO: result: no" >&5
13922 echo "${ECHO_T}no" >&6
13923 cgal=no
13924 fi
13925 rm -f conftest.err conftest.$ac_objext \
13926      conftest$ac_exeext conftest.$ac_ext
13927 CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
13928 LIBS="$save_LIBS_CHECK_CXX_LIB"
13929      LIBS="$save_LIBS"
13930    fi
13931
13932  fi
13933  ac_ext=c
13934 ac_cpp='$CPP $CPPFLAGS'
13935 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13936 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13937 ac_compiler_gnu=$ac_cv_c_compiler_gnu
13938
13939
13940 fi
13941
13942 if test "x$cgal" = xyes; then
13943  USE_CGAL=yes
13944
13945 cat >>confdefs.h <<\_ACEOF
13946 #define HAVE_CGAL 1
13947 _ACEOF
13948
13949
13950 cat >>confdefs.h <<_ACEOF
13951 #define CGAL_VERSION $CGAL_VERSION
13952 _ACEOF
13953
13954  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
13955    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
13956 echo "$as_me: WARNING: *****************************************************" >&2;}
13957    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
13958 echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
13959    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
13960 echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
13961    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
13962 echo "$as_me: WARNING: *****************************************************" >&2;}
13963  fi
13964 else
13965   if test "x$cgal_makefile" != xno; then
13966    echo "$as_me:$LINENO: result: No CGAL support. These are not the droids you want." >&5
13967 echo "${ECHO_T}No CGAL support. These are not the droids you want." >&6
13968  fi
13969  CGAL_INCLDIR=
13970  CGAL_LIBDIR=
13971  CGAL_RLIBDIR=
13972  CGAL_DEFINES=
13973  CGAL_CXXFLAGS=
13974  CGAL_LIBS=
13975 fi
13976
13977
13978 CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
13979
13980 CGAL_LIB_DIR=${CGAL_LIBDIR}
13981
13982 CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13983
13984
13985
13986
13987
13988
13502   # Check whether --enable-doxygen or --disable-doxygen was given.
13503   if test "${enable_doxygen+set}" = set; then
13504    enableval="$enable_doxygen"
# Line 14139 | Line 13652 | fi
13652  
13653  
13654  
13655 <                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
13655 >                              ac_config_files="$ac_config_files make/Makefile src/utils/Makefile scripts/filepp"
13656  
13657  
13658   cat >confcache <<\_ACEOF
# Line 14672 | Line 14185 | do
14185    # Handling of arguments.
14186    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
14187    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
14675  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
14188    "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
14189    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
14190    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
# Line 14771 | Line 14283 | s,@debug@,$debug,;t t
14283   s,@host_os@,$host_os,;t t
14284   s,@PROGNAME@,$PROGNAME,;t t
14285   s,@debug@,$debug,;t t
14286 + s,@USE_SINGLE_PRECISION@,$USE_SINGLE_PRECISION,;t t
14287   s,@CXX@,$CXX,;t t
14288   s,@CXXFLAGS@,$CXXFLAGS,;t t
14289   s,@LDFLAGS@,$LDFLAGS,;t t
# Line 14808 | Line 14321 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14321   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14322   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14323   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14324 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14325 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14326 + s,@ZLIB@,$ZLIB,;t t
14327   s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14328   s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14329   s,@FFTW_LIBS@,$FFTW_LIBS,;t t
# Line 14821 | Line 14337 | s,@USE_MPI@,$USE_MPI,;t t
14337   s,@MPI_LIB@,$MPI_LIB,;t t
14338   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
14339   s,@USE_MPI@,$USE_MPI,;t t
14824 s,@USE_CGAL@,$USE_CGAL,;t t
14825 s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
14826 s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
14827 s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
14828 s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
14829 s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
14830 s,@CGAL_LIBS@,$CGAL_LIBS,;t t
14340   s,@DOXYGEN@,$DOXYGEN,;t t
14341   s,@DOT@,$DOT,;t t
14342   s,@DOC@,$DOC,;t t
# Line 15080 | Line 14589 | s,@INSTALL@,$ac_INSTALL,;t t
14589    case $ac_file in
14590      make/Makefile ) chmod 0755 scripts/* ;;
14591      src/utils/Makefile ) chmod 0755 scripts/* ;;
15083    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
14592      scripts/filepp ) chmod 0755 scripts/* ;;
14593    esac
14594   done

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines